[cogl/wip/smcv/automake] autogen.sh: Stop checking for specific versions of Automake



commit 49ef0aaac52f6adb51a72a2ae4d6148b26e37ccf
Author: Simon McVittie <smcv debian org>
Date:   Mon Mar 9 17:13:57 2020 +0000

    autogen.sh: Stop checking for specific versions of Automake
    
    Automake 1.11 was released in May 2009, so cogl has been compatible with
    the latest version for at least that long.
    
    Signed-off-by: Simon McVittie <smcv debian org>

 autogen.sh | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index d972a24a..e15f49d6 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -16,21 +16,13 @@ test $TEST_TYPE $FILE || {
        exit 1
 }
 
-AUTOMAKE_VERSIONS="1.16 1.15 1.14 1.13 1.12 1.11"
-for version in $AUTOMAKE_VERSIONS; do
-       if automake-$version --version < /dev/null > /dev/null 2>&1 ; then
-               AUTOMAKE=automake-$version
-               ACLOCAL=aclocal-$version
-               export AUTOMAKE ACLOCAL
-               break
-       fi
-done
-
-if test -z "$AUTOMAKE"; then
+if ! command -v "${AUTOMAKE-automake}" >/dev/null; then
        echo
-       echo "You must have one of automake $AUTOMAKE_VERSIONS to compile $PROJECT."
+       echo "You must have automake >= 1.11 to compile $PROJECT."
        echo "Install the appropriate package for your distribution,"
        echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/";
+       echo "To use a non-default version, set the AUTOMAKE and ACLOCAL"
+       echo "environment variables."
        exit 1
 fi
 
@@ -49,7 +41,7 @@ if test -z "$NOCONFIGURE"; then
 fi
 
 if test -z "$ACLOCAL_FLAGS"; then
-        acdir=`$ACLOCAL --print-ac-dir`
+        acdir=`${ACLOCAL-aclocal} --print-ac-dir`
         m4list="glib-2.0.m4"
         for file in $m4list; do
                 if [ ! -f "$acdir/$file" ]; then


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]